module FeatureModifier
	# MAIN FEATURES ARRAY
	# Format: { actor_id => { feature_code => { data_id => value } } 
	MODIFICATIONS = {
		78 => [ # Shesta
			{ code: 69, data_id: 9, value: {2871=>0.3, 2881=>0.3, 2882=>0.3, 2888=>0.3, 2878=>0.3} }, # Multi Booster. When passed whole array, it completely replaces original, hence the need to write all skills here
		],
		81 => [ # Honey
			{ code: 69, data_id: 9, value: {2850=>0.3, 2851=>0.3, 2852=>0.3, 2853=>0.3, 2854=>0.3, 2855=>0.3, 2856=>0.3, 2857=>0.3, 2858=>0.3, 9611=>0.3, 9612=>0.3} },
		],
		115 => [ # Kurage
			{ code: 69, data_id: 9, value: {2810=>0.3, 2811=>0.3, 2812=>0.3, 2813=>0.3, 2814=>0.3, 9597=>0.3} },
		],
		116 => [ # Isabelle
			{ code: 69, data_id: 9, value: {2810=>0.3, 2811=>0.3, 2812=>0.3, 2813=>0.3, 2814=>0.3, 9597=>0.3} },
		],
		140 => [ # Rachura
			{ code: 69, data_id: 9, value:  {2867=>0.3, 2868=>0.3, 2869=>0.3, 2870=>0.3, 2871=>0.3, 2872=>0.3, 2886=>0.3, 2887=>0.3, 6124=>0.3, 9615=>0.3} }, # Example of replacement here: 9515 replaced by 9615
		],
		146 => [ # Scarlet
			{ code: 69, data_id: 9, value:  {2850=>0.3, 2851=>0.3, 2852=>0.3, 2853=>0.3, 9611=>0.3, 2854=>0.3, 2855=>0.3, 2856=>0.3, 2857=>0.3, 2858=>0.3, 9612=>30} },
			#{ code: 73, data_id: 2854, value:  {:self=>{}, :target=>{230=>0.15}} },
		],
		157 => [ # Scarlet
			{ code: 69, data_id: 9, value:  {2862=>0.3, 2863=>0.3, 2867=>0.3, 2868=>0.3, 2869=>0.3, 2870=>0.3, 2871=>0.3, 2872=>0.3, 2886=>0.3, 2887=>0.3, 6124=>0.3, 9615=>0.3} }, # Here too.
		],
		235 => [ # Silk
			{ code: 69, data_id: 9, value:  {2862=>0.5, 2863=>0.5, 2867=>0.5, 2868=>0.5, 2869=>0.5, 2870=>0.5, 2871=>0.5, 2872=>0.5, 2886=>0.5, 2887=>0.5, 6124=>0.5, 9615=>0.5} }, 
		],
		290 => [ # Sylvia
			{ code: 69, data_id: 9, value:  {2871=>0.5, 2881=>0.5, 2882=>0.5, 2888=>0.5} }, 
		],
		330 => [ # Arachnes
			{ code: 68, data_id: 38, value:  {2862=>2, 2863=>2, 2867=>2, 2868=>2, 2870=>2, 2871=>2, 2872=>2, 2869=>2, 2886=>2, 2887=>2, 6124=>2, 9615=>2} }, # code 68, data 38 is Skill Repeats
		],
		448 => [ # Silkiel
			{ code: 69, data_id: 9, value:  {2862=>0.5, 2863=>0.5, 2867=>0.5, 2868=>0.5, 2869=>0.5, 2870=>0.5, 2871=>0.5, 2872=>0.5, 2886=>0.5, 2887=>0.5, 6124=>0.5, 9615=>0.5} }, 
		],
		
		
	}
	
	# SP COST REDUCTION ARRAY
	# Format: { actor_id => { skill_id => multiplier } }
	TPCONFIG_SETTINGS = {
		78 => {  # Shesta	
			2871 => 0.5,
			2888 => 0.5,
		},
		81 => {  # Honey
			2854 => 0.5,
			2855 => 0.5,
			2856 => 0.5,
			2857 => 0.5,
			2858 => 0.5,
			9612 => 0.5,
		},
		104 => {  # Rachnee
			9515 => 2, # To negate "wrongfully" in anon's opinion assignment of skill in her features
			9615 => 0.5,
			2863 => 0.5,
			2862 => 0.5,
		},
		140 => {  # Rachura
			2862 => 0.5,
			2863 => 0.5,
			9515 => 2, # To negate "wrongfully" in anon's opinion assignment of skill in her features
			9615 => 0.5,
		},
		157 => {  # Ashidaka
			2862 => 0.5,
			2863 => 0.5,
			9615 => 0.5, 
			9515 => 2, # To negate "wrongfully" in anon's opinion assignment of skill in her features
		},
		290 => {  # Sylvia
			2871 => 0.66,
			2888 => 0.66,
		},
		330 => {  # Arachnes
			9515 => 0.66, # To negate "wrongfully" in anon's opinion assignment of skill in their features (this one they have at x1.5 cost, so it multiplies it by 0.5 and Luka hits me for having math wrong. Don't care.)
			2862 => 1.5,
			2863 => 1.5,
			9615 => 1.5,
		},
		330 => {  # Arachnes
			9515 => 2, # To negate "wrongfully" in anon's opinion assignment of skill in her features
			2862 => 0.5,
			2863 => 0.5,
			9615 => 0.5,
		},



	}
	
	# Configuration format:
	# ACTOR_ID => {
	#   SKILL_ID => {
	#     :target => {STATE_ID => PERCENT_CHANCE},
	#     :self => {STATE_ID => PERCENT_CHANCE}
	#   }
	# }
	# SKILL STATE APPLIER ARRAY
	SKILLSTATER = {
		106 => { # Nanabi
			11000 => { # Skill 11000 (empty)
			:target => {515 => 100}, # on target applies status 515 with 100% chance
			:self => {516 => 100} # on self applies status 516 with 100% chance
			}, 
			
		},
		146 => { # Scarlet
			2854 => {:target => {230 => 15}}, # Skill 2854 on target adds Skill 230 with 15% chance
			2855 => {:target => {230 => 15}},
			2856 => {:target => {230 => 15}},
			2857 => {:target => {230 => 15}},
			2858 => {:target => {230 => 15}},
			9612 => {:target => {230 => 15}},
		},
		290 => { # Sylvia
			2871 => {:target => {28 => 75}}, # Skill 2854 on target adds Skill 230 with 15% chance
			2888 => {:target => {28 => 75}},
		},
		
	}
end

